/* globals chai, mocha */

import * as tmp from "../../index.js";
window.GlobalWebAuthnClasses = tmp;
window.assert = window.chai.assert;
window.mocha.setup("bdd");

onload = function() {
    //mocha.checkLeaks();
    //mocha.globals(['foo']);
    var runner = mocha.run();

    var failedTests = [];
    runner.on("end", function() {
        window.mochaResults = runner.stats;
        window.mochaResults.reports = failedTests;
    });

    runner.on("fail", logFailure);

    function logFailure(test, err) {

        function flattenTitles(test) {
            var titles = [];
            while (test.parent.title) {
                titles.push(test.parent.title);
                test = test.parent;
            }
            return titles.reverse();
        }

        failedTests.push({
            name: test.title,
            result: false,
            message: err.message,
            stack: err.stack,
            titles: flattenTitles(test)
        });
    }
};

